petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetCreateFieldDecomposition

Set the routine used to create a decomposition of fields for the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateFieldDecomposition(DM dm, PetscErrorCode (*decomp)(DM,PetscInt*,char***, IS**,DM**))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| decomp | - the routine to create the decomposition

### See Also

DMCreateFieldDecomposition(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages